Subject: Re: Does Linux 2.6.32 support NAND flash connect with MPC8247 through localbus with GPCM mode?

From: Scott Wood <[email-masked]>
Date: Fri, 26 Feb 2010 12:35:59 -0600

On Fri, Feb 26, 2010 at 10:08:09AM +0800, Peter Pan wrote:
> I'm recently porting Linux 2.6.32 to our custom board with MPC8247. We have a
> NAND flash connected using GPCM mode of local bus. But after I search
> through the Linux
> source, there is no compatible like "fsl,gpcm-nand". And I can not
> find any driver
> that seems works for our scene.

There isn't one.  I was not under the impression that such a configuration
was even possible (how do you control ALE/CLE, for example?).  There is a
NAND driver that uses UPM, though -- perhaps you could use that?

How specifically is NAND connected to the SoC on your board?  What about it
suggests GPCM?

-Scott